<?php
/*
Plugin Name: Sample Admin Page
 */

function cdia_admin_init() {
	register_setting( 'bold-titles', 'bold-titles', 'cdia_sanitize_options' );
}
add_action( 'admin_init', 'cdia_admin_init' );

function cdia_sanitize_options( $data ) {
	$data_sanitized = array();
	
	if ( is_array( $data ) ) {
		foreach ( $data as $key => $datum ) {
			$data_sanitized[ $key ] = (bool) $datum;
		}
	}
	
	return $data_sanitized;	
}

function cdia_admin_menu() {
	add_theme_page('Bold All The Things', 'Bold Titles', 'manage_options', 'bold-titles', 'cdia_bold_titles_screen');
}
add_action( 'admin_menu', 'cdia_admin_menu' );

function cdia_bold_titles_screen() {
	$options = get_option( 'bold-titles', array( 'all' => false, 'skip-single' => false ) );
	$options = wp_parse_args( $options, array( 'all' => false, 'skip-single' => false ) );
	?>
		<div class="wrap">
			<h2><?php echo get_admin_page_title(); ?></h2>
			
			<form action="options.php" method="post">
				<?php settings_fields( 'bold-titles' ); ?>
				<table class="form-table">
					<tr>
						<th scope="row">Bold all titles?</th>
						<td><input type="checkbox" name="bold-titles[all]" value="1"<?php checked( true, $options[ 'all' ] ); ?> /></td>
					</tr>
					<tr>
						<th scope="row">Don't bold on single posts?</th>
						<td><input type="checkbox" name="bold-titles[skip-single]" value="1"<?php checked( true, $options[ 'skip-single' ] ); ?> /></td>
					</tr>
				</table>
				
				<?php submit_button(); ?>
			</form>
		</div>
	<?php
}

function cdia_bold_titles( $title ) {
	if ( is_admin() )
		return $title;
	
	$options = get_option( 'bold-titles', array( 'all' => false, 'skip-single' => false ) );
	$options = wp_parse_args( $options, array( 'all' => false, 'skip-single' => false ) );
	
	if ( is_single() && $options[ 'skip-single' ] )
		return $title;
	
	if ( $options[ 'all' ] )
		$title = '<strong>' . $title . '</strong>';
	
	return $title;
}
add_filter( 'the_title', 'cdia_bold_titles' );